Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2119623002: Add metrics to track HTTP/0.9 usage for main frames and subresources (Closed)

Created:
2 years, 7 months ago by mmenke
Modified:
2 years, 7 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, jam, Randy Smith (Not in Mondays), darin-cc_chromium.org, asvitkine+watch_chromium.org, loading-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add metrics to track HTTP/0.9 usage for main frames and subresources This will tell us how many more error pages we'll be showing if we remove support for it. BUG=624462 Committed: https://crrev.com/8210acc6749feb3d372cd1aa0456eabe029a03af Cr-Commit-Position: refs/heads/master@{#404673}

Patch Set 1 #

Patch Set 2 : Add tests #

Patch Set 3 : placate clang #

Total comments: 8

Patch Set 4 : Response to comments #

Patch Set 5 : Response to comments #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+72 lines, -17 lines) Patch
M components/domain_reliability/util.cc View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M content/browser/loader/resource_loader.cc View 1 2 3 1 chunk +11 lines, -5 lines 0 comments Download
M net/http/http_basic_stream.cc View 1 2 3 4 1 chunk +3 lines, -1 line 1 comment Download
M net/http/http_response_info.h View 1 2 3 4 1 chunk +3 lines, -1 line 1 comment Download
M net/http/http_response_info.cc View 1 2 3 4 2 chunks +6 lines, -2 lines 0 comments Download
M net/http/http_stream_parser.cc View 1 2 3 4 1 chunk +7 lines, -1 line 0 comments Download
M net/http/http_stream_parser_unittest.cc View 1 2 3 4 3 chunks +8 lines, -1 line 0 comments Download
M net/quic/quic_network_transaction_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M net/spdy/spdy_network_transaction_unittest.cc View 1 2 3 4 3 chunks +5 lines, -3 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 3 chunks +25 lines, -1 line 0 comments Download

Messages

Total messages: 19 (5 generated)
mmenke
bnc: Please review everything. holte: Please review histogram changes. I'd love to get this reviewed ...
2 years, 7 months ago (2016-06-30 20:10:23 UTC) #2
Steven Holte
histograms lgtm
2 years, 7 months ago (2016-06-30 21:11:08 UTC) #3
Bence
https://codereview.chromium.org/2119623002/diff/40001/content/browser/loader/resource_loader.cc File content/browser/loader/resource_loader.cc (right): https://codereview.chromium.org/2119623002/diff/40001/content/browser/loader/resource_loader.cc#newcode712 content/browser/loader/resource_loader.cc:712: if (request_->response_info().network_accessed) { Why is Net.HttpResponseInfo.ConnectionInfo only recorded if ...
2 years, 7 months ago (2016-06-30 21:20:11 UTC) #4
mmenke
[+juliatuttle] Please review domain_reliability. https://codereview.chromium.org/2119623002/diff/40001/content/browser/loader/resource_loader.cc File content/browser/loader/resource_loader.cc (right): https://codereview.chromium.org/2119623002/diff/40001/content/browser/loader/resource_loader.cc#newcode712 content/browser/loader/resource_loader.cc:712: if (request_->response_info().network_accessed) { On 2016/06/30 ...
2 years, 7 months ago (2016-06-30 22:18:07 UTC) #6
mmenke
https://codereview.chromium.org/2119623002/diff/80001/net/http/http_response_info.h File net/http/http_response_info.h (right): https://codereview.chromium.org/2119623002/diff/80001/net/http/http_response_info.h#newcode45 net/http/http_response_info.h:45: CONNECTION_INFO_HTTP1_0 = 9, I'm keeping the weird order here, ...
2 years, 7 months ago (2016-06-30 22:19:19 UTC) #7
Bence
Thank you. net/ LGTM. Note that I'm not a content owner either.
2 years, 7 months ago (2016-06-30 22:44:59 UTC) #8
mmenke
On 2016/06/30 22:44:59, Bence wrote: > Thank you. net/ LGTM. Note that I'm not a ...
2 years, 7 months ago (2016-06-30 23:54:27 UTC) #9
mmenke
On 2016/06/30 23:54:27, mmenke wrote: > On 2016/06/30 22:44:59, Bence wrote: > > Thank you. ...
2 years, 7 months ago (2016-06-30 23:54:57 UTC) #10
Bence
On 2016/06/30 23:54:57, mmenke wrote: > On 2016/06/30 23:54:27, mmenke wrote: > > On 2016/06/30 ...
2 years, 7 months ago (2016-07-01 00:32:06 UTC) #11
Julia Tuttle
domain_reliability lgtm.
2 years, 7 months ago (2016-07-01 15:48:03 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2119623002/80001
2 years, 7 months ago (2016-07-11 15:18:36 UTC) #15
commit-bot: I haz the power
Committed patchset #5 (id:80001)
2 years, 7 months ago (2016-07-11 16:35:07 UTC) #16
commit-bot: I haz the power
CQ bit was unchecked.
2 years, 7 months ago (2016-07-11 16:35:20 UTC) #17
commit-bot: I haz the power
2 years, 7 months ago (2016-07-11 16:37:21 UTC) #19
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/8210acc6749feb3d372cd1aa0456eabe029a03af
Cr-Commit-Position: refs/heads/master@{#404673}

Powered by Google App Engine
This is Rietveld 408576698